Create an email
curl --request POST \
--url https://api.inflection.io/v2/emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"html": "<string>",
"subject": "<string>",
"fromEmail": {
"email": "<string>",
"name": "<string>"
},
"replyTo": "<string>",
"preheader": "<string>",
"folder": "<string>",
"ccEmails": [
{
"value": "<string>"
}
],
"bccEmails": [
{
"value": "<string>"
}
],
"urlParams": {
"utmParams": [
{
"key": "<string>",
"valueType": "<string>",
"value": {}
}
],
"customParams": [
{
"key": "<string>",
"valueType": "<string>",
"value": {}
}
]
}
}
'import requests
url = "https://api.inflection.io/v2/emails"
payload = {
"name": "<string>",
"html": "<string>",
"subject": "<string>",
"fromEmail": {
"email": "<string>",
"name": "<string>"
},
"replyTo": "<string>",
"preheader": "<string>",
"folder": "<string>",
"ccEmails": [{ "value": "<string>" }],
"bccEmails": [{ "value": "<string>" }],
"urlParams": {
"utmParams": [
{
"key": "<string>",
"valueType": "<string>",
"value": {}
}
],
"customParams": [
{
"key": "<string>",
"valueType": "<string>",
"value": {}
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
html: '<string>',
subject: '<string>',
fromEmail: {email: '<string>', name: '<string>'},
replyTo: '<string>',
preheader: '<string>',
folder: '<string>',
ccEmails: [{value: '<string>'}],
bccEmails: [{value: '<string>'}],
urlParams: {
utmParams: [{key: '<string>', valueType: '<string>', value: {}}],
customParams: [{key: '<string>', valueType: '<string>', value: {}}]
}
})
};
fetch('https://api.inflection.io/v2/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"templateId": "<string>",
"name": "<string>",
"templateType": "advanced",
"content": "<string>",
"contentJson": "<string>",
"subject": "<string>",
"preheader": "<string>",
"fromEmail": {
"email": "<string>",
"name": "<string>"
},
"replyTo": "<string>",
"senderMeta": {},
"ccEmailDataSet": [
{
"value": "<string>",
"type": "text"
}
],
"bccEmailDataSet": [
{
"value": "<string>",
"type": "text"
}
],
"urlParamsDict": {},
"previews": {},
"overrideEmailLimits": true,
"createdAt": "<string>",
"createdBy": {},
"updatedAt": "<string>",
"updatedBy": {},
"isDeleted": true,
"isTemplate": true,
"directoryId": "<string>",
"emailAssetCategory": "<string>",
"isMmc": true,
"editorUrl": "<string>"
},
"meta": {
"status": "SUCCESS",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"errorCode": "NOT_FOUND",
"message": "<string>",
"detail": "<string>"
}
],
"meta": {
"status": "SUCCESS",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"errorCode": "NOT_FOUND",
"message": "<string>",
"detail": "<string>"
}
],
"meta": {
"status": "SUCCESS",
"timestamp": "2023-11-07T05:31:56Z"
}
}Emails
Create an email
POST
/
v2
/
emails
Create an email
Authorizations
Personal Access Token or OAuth 2.1 access token, sent as a bearer
credential (Authorization: Bearer inf_pat_...). Read operations
require a token with the READ scope; write operations
(POST/PATCH/DELETE) require WRITE.
Body
application/json
Minimum string length:
3Email HTML content.
Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Minimum string length:
1Optional folder/directory id.
Available options:
marketing, transactional Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?